<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
    //   ***** Task 1 *****
    //   let arr = ['saurav','sorro@gmail.com','aasas','fddfd','assa@gma.com']
    //   let regexEmail = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
    //   const emailCheck = arr.filter((e)=>e.match(regexEmail))
    //   console.log(emailCheck)

      //***** Task 2 ***8*
      //   function numToArray(num) {
      //     let myArr = String(num)
      //       .split("")
      //       .map((num) => {
      //         return Number(num);
      //       });
      //     return myArr;
      //   }
      //   const myFunc = numToArray(22232323);
      // console.log(myFunc)

      //***** Task 3 *****
    //   function getGrade(num) {
    //     let text;
    //     if(num>25 && num<=30){
    //      text= "Grade = A"
    //     }
    //     else if (num>20 && num<=25){
    //     text="Grade = B"
    //     }
    //     else if (num>15 && num<=20){
    //         text= "Grade = C"
    //     }
    //     else if (num>10 && num<=15){
    //         text= "Grade = D"
    //     }
    //     else if (num>5 && num<=10){
    //         text= "Grade = E"
    //     }
    //     else if(num>0 && num<=5){
    //         text= "Grade = F"
    //     }
    //     else{
    //        text= "Not found"
    //     }
    //     return text
    
        
    //   }
    //   const arr = getGrade(50)
    //   console.log(arr)
      
      
    </script>
  </body>
</html>
